package com.template.model.enumModel;

/**
 * @Author: xwt
 * @Date: 2023/7/6 星期四 16:34
 * @Description: com.template.model.enumModel
 * @Version: 1.0
 * 设备类型
 */
public enum eTopType {
    Top(1),//置顶
    UnTop(2);//非置顶

    private int value;

    eTopType(int value){
        this.value = value;
    }

    public int getValue() {
        return value;
    }
    public static eTopType valueOf(int value) {
        switch (value) {
            case 1:
                return eTopType.Top;
            case 2:
                return eTopType.UnTop;
            default:
                return null;
        }
    }

    public static String stringOf(Integer value) {
        switch (value) {
            case 1:
                return "置顶";
            case 2:
                return "非置顶";
            default:
                return null;
        }
    }
}
